count: 1306
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=id&page=3
previous: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=id
results:
- approved_revision: null
  id: 60
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-short2
      message: Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-short2
      surveyId: mobile-en-feedback-short2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:34.124822Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*2, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*2, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1364
    identicon_seed: v1:60
    metadata: {}
    name: Promo - Mobile - en-feedback-short2
    recipe:
      approved_revision_id: null
      id: 60
      latest_revision_id: 1364
    updated: '2017-02-01T23:53:25.540873Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 61
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      message: Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-short2
      surveyId: mobile-en-nofeedback-short2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:39:15.545337Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*3, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*3, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1355
    identicon_seed: v1:61
    metadata: {}
    name: Promo - Mobile - en-nofeedback-short2
    recipe:
      approved_revision_id: null
      id: 61
      latest_revision_id: 1355
    updated: '2017-02-01T23:53:26.706584Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 62
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fun1
      message: Put the fox in your pocket. Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fun1
      surveyId: mobile-en-feedback-fun1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:24:51.836467Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*4, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*4, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1348
    identicon_seed: v1:62
    metadata: {}
    name: Promo - Mobile - en-feedback-fun1
    recipe:
      approved_revision_id: null
      id: 62
      latest_revision_id: 1348
    updated: '2017-02-01T23:53:26.405481Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 63
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get started
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fun2
      message: Free range tabs taste better. Open your desktop tabs on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fun2
      surveyId: mobile-en-feedback-fun2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:24:59.161695Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*5, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*5, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1343
    identicon_seed: v1:63
    metadata: {}
    name: Promo - Mobile - en-feedback-fun2
    recipe:
      approved_revision_id: null
      id: 63
      latest_revision_id: 1343
    updated: '2017-02-01T23:53:26.057405Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 64
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fxa1
      message: Send Firefox to your phone, then sync your bookmarks, passwords, history
        and more.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fxa1
      surveyId: mobile-en-feedback-fxa1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:12.472666Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*6, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*6, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1338
    identicon_seed: v1:64
    metadata: {}
    name: Promo - Mobile - en-feedback-fxa1
    recipe:
      approved_revision_id: null
      id: 64
      latest_revision_id: 1338
    updated: '2017-02-01T23:53:26.744739Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 65
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Make a match
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fxa3
      message: Your Firefox Account meets your phone. They fall in love.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fxa3
      surveyId: mobile-en-feedback-fxa3
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:27.739762Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*7, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*7, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1333
    identicon_seed: v1:65
    metadata: {}
    name: Promo - Mobile - en-feedback-fxa3
    recipe:
      approved_revision_id: null
      id: 65
      latest_revision_id: 1333
    updated: '2017-02-01T23:53:26.445830Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 66
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      message: Put the fox in your pocket. Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fun1
      surveyId: mobile-en-nofeedback-fun1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:34.958617Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*8, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*8, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1328
    identicon_seed: v1:66
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fun1
    recipe:
      approved_revision_id: null
      id: 66
      latest_revision_id: 1328
    updated: '2017-02-01T23:53:26.095101Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 67
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get started
      message: Free range tabs taste better. Open your desktop tabs on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fun2
      surveyId: mobile-en-nofeedback-fun2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:42.238599Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*9, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*9, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1323
    identicon_seed: v1:67
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fun2
    recipe:
      approved_revision_id: null
      id: 67
      latest_revision_id: 1323
    updated: '2017-02-01T23:53:26.134972Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 68
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send Firefox to your phone
      message: Easily move your browsing from your laptop to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fxa2
      surveyId: mobile-en-nofeedback-fxa2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:49.786776Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*10, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*10, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1318
    identicon_seed: v1:68
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fxa2
    recipe:
      approved_revision_id: null
      id: 68
      latest_revision_id: 1318
    updated: '2017-02-01T23:53:25.598534Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 69
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Make a match
      message: Your Firefox Account meets your phone. They fall in love.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fxa3
      surveyId: mobile-en-nofeedback-fxa3
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-28T22:00:30.000845Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n    (\n        [normandy.userId]|bucketSample(0,15,1000)\n\
      \        || [normandy.userId]|bucketSample(146,1,1000)\n        || [normandy.userId]|bucketSample(156,11,1000)\n\
      \        || [normandy.userId]|bucketSample(221,9,1000)\n        || [normandy.userId]|bucketSample(232,768,1000)\n\
      \    )\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(    \n    (\n        [normandy.userId]|bucketSample(0,15,1000)\n\
      \        || [normandy.userId]|bucketSample(146,1,1000)\n        || [normandy.userId]|bucketSample(156,11,1000)\n\
      \        || [normandy.userId]|bucketSample(221,9,1000)\n        || [normandy.userId]|bucketSample(232,768,1000)\n\
      \    )\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_object: []
    id: 1313
    identicon_seed: v1:69
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fxa3
    recipe:
      approved_revision_id: null
      id: 69
      latest_revision_id: 1313
    updated: '2017-02-28T22:00:30.005069Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 70
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      message: Send Firefox to your phone, then sync your bookmarks, passwords, history
        and more.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fxa1
      surveyId: mobile-en-nofeedback-fxa1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:26:10.410651Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*12, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*12, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1303
    identicon_seed: v1:70
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fxa1
    recipe:
      approved_revision_id: null
      id: 70
      latest_revision_id: 1303
    updated: '2017-02-01T23:53:25.855367Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 71
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send Firefox to your phone
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fxa2
      message: Easily move your browsing from your laptop to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fxa2
      surveyId: mobile-en-feedback-fxa2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:26:25.974886Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*13, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*13, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1298
    identicon_seed: v1:71
    metadata: {}
    name: Promo - Mobile - en-feedback-fxa2
    recipe:
      approved_revision_id: null
      id: 71
      latest_revision_id: 1298
    updated: '2017-02-01T23:53:26.173464Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 73
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-request-donatenow
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-request-donatenow
      surveyId: foundation-en-feedback-request-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:12.793763Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*0, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*0, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1293
    identicon_seed: v1:73
    metadata: {}
    name: Promo - Foundation - en-feedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 73
      latest_revision_id: 1293
    updated: '2017-02-01T23:53:26.868734Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 74
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-request-donatenow
      surveyId: foundation-en-nofeedback-request-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:17.156658Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*1, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*1, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1290
    identicon_seed: v1:74
    metadata: {}
    name: Promo - Foundation - en-nofeedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 74
      latest_revision_id: 1290
    updated: '2017-02-01T23:53:26.197989Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 75
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-request-donate
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-request-donate
      surveyId: foundation-en-feedback-request-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:21.015263Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*2, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*2, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1287
    identicon_seed: v1:75
    metadata: {}
    name: Promo - Foundation - en-feedback-request-donate
    recipe:
      approved_revision_id: null
      id: 75
      latest_revision_id: 1287
    updated: '2017-02-01T23:53:25.623077Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 76
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-request-donate
      surveyId: foundation-en-nofeedback-request-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:24.668146Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*3, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*3, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1284
    identicon_seed: v1:76
    metadata: {}
    name: Promo - Foundation - en-nofeedback-request-donate
    recipe:
      approved_revision_id: null
      id: 76
      latest_revision_id: 1284
    updated: '2017-02-01T23:53:26.223065Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 77
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-inform-donatenow
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-inform-donatenow
      surveyId: foundation-en-feedback-inform-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:28.908332Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*4, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*4, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1281
    identicon_seed: v1:77
    metadata: {}
    name: Promo - Foundation - en-feedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 77
      latest_revision_id: 1281
    updated: '2017-02-01T23:53:24.755153Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 78
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-inform-donatenow
      surveyId: foundation-en-nofeedback-inform-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:32.607691Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*5, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*5, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1278
    identicon_seed: v1:78
    metadata: {}
    name: Promo - Foundation - en-nofeedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 78
      latest_revision_id: 1278
    updated: '2017-02-01T23:53:25.651228Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 79
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-inform-donate
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-inform-donate
      surveyId: foundation-en-feedback-inform-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:35.684719Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*6, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*6, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1275
    identicon_seed: v1:79
    metadata: {}
    name: Promo - Foundation - en-feedback-inform-donate
    recipe:
      approved_revision_id: null
      id: 79
      latest_revision_id: 1275
    updated: '2017-02-01T23:53:25.885963Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 80
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-inform-donate
      surveyId: foundation-en-nofeedback-inform-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:39.472465Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*7, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*7, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1272
    identicon_seed: v1:80
    metadata: {}
    name: Promo - Foundation - en-nofeedback-inform-donate
    recipe:
      approved_revision_id: null
      id: 80
      latest_revision_id: 1272
    updated: '2017-02-01T23:53:25.675937Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 81
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-reason-donatenow
      message: If everyone reading this chipped in $3, Mozilla would be supported
        for another year.
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-reason-donatenow
      surveyId: foundation-en-feedback-reason-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:43.259668Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*8, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*8, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1269
    identicon_seed: v1:81
    metadata: {}
    name: Promo - Foundation - en-feedback-reason-donatenow
    recipe:
      approved_revision_id: null
      id: 81
      latest_revision_id: 1269
    updated: '2017-02-01T23:53:26.769355Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 82
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      message: If everyone reading this chipped in $3, Mozilla would be supported
        for another year.
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-reason-donatenow
      surveyId: foundation-en-nofeedback-reason-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:47.605035Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*9, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*9, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1266
    identicon_seed: v1:82
    metadata: {}
    name: Promo - Foundation - en-nofeedback-reason-donatenow
    recipe:
      approved_revision_id: null
      id: 82
      latest_revision_id: 1266
    updated: '2017-02-01T23:53:26.476769Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 83
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-reason-donate
      message: If everyone reading this chipped in $3, Mozilla would be supported
        for another year.
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-reason-donate
      surveyId: foundation-en-feedback-reason-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:51.510345Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*10, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*10, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1263
    identicon_seed: v1:83
    metadata: {}
    name: Promo - Foundation - en-feedback-reason-donate
    recipe:
      approved_revision_id: null
      id: 83
      latest_revision_id: 1263
    updated: '2017-02-01T23:53:25.701031Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 84
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      message: If everyone reading this chipped in $3, Mozilla would be supported
        for another year.
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-reason-donate
      surveyId: foundation-en-nofeedback-reason-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:55.257411Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*11, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*11, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1260
    identicon_seed: v1:84
    metadata: {}
    name: Promo - Foundation - en-nofeedback-reason-donate
    recipe:
      approved_revision_id: null
      id: 84
      latest_revision_id: 1260
    updated: '2017-02-01T23:53:26.794101Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 85
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: kardekani@mozilla.com
        first_name: Kamyar
        id: 11
        last_name: Ardekani
      comment: Looks good. Checked with the bucket list too.
      created: '2017-05-23T17:23:42.057818Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 41
      revision:
        id: 1256
        recipe_id: 85
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Shield_Studies
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_8
      surveyId: search-study-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-05-23T17:14:20.898426Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    ([normandy.userId]|bucketSample(242, 8, 1000)\
      \ ||  [normandy.userId]|bucketSample( 270, 2, 1000))\n    && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.channel\
      \ == 'release'\n)"
    filter_expression: "(\n    ([normandy.userId]|bucketSample(242, 8, 1000) ||  [normandy.userId]|bucketSample(\
      \ 270, 2, 1000))\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1256
    identicon_seed: v1:85
    metadata: {}
    name: Shield Study 8 - Unified Search Bar V2
    recipe:
      approved_revision_id: null
      id: 85
      latest_revision_id: 1256
    updated: '2017-05-23T17:14:20.905631Z'
  signature: null
  uses_only_baseline_capabilities: true
